/* Default styles */
body {
    background-color: #e2e9ef; /* Light blue background */
    color: #333; /* Black text */
  }
  
  /* Custom styles */
  .dark-wrapper {
    background-color: #343a40; /* Dark background */
    height: 100vh; /* Full viewport height */
  }
  
  .vertical-nav {
    width: 250px; /* Consistent width */
    height: 100vh; /* Full viewport height */
    position: fixed; /* Fixed positioning */
    top: 0; /* Top of the viewport */
    left: 0; /* Left side of the viewport */
    z-index: 999; /* Ensure menu is on top */
    transition: width 0.3s ease-in-out; /* Smooth width transition */
  }
  
  .open-menu {
    width: 250px; /* Consistent width */
  }
  
  .closed-menu {
    width: 0; /* Hide menu offscreen */
  }
  
  .main-content {
    margin-left: 250px; /* Account for menu width */
    padding: 1rem;
  }
  
  .nav-menu {
    list-style: none; /* Remove default list styling */
    padding: 0; /* Eliminate list padding */
    margin: 0; /* Eliminate list margins */
  }
  
  .nav-item {
    margin-bottom: 1rem; /* Consistent spacing */
  }
  
  .nav-link {
    color: inherit; /* Inherit text color */
    text-decoration: none; /* Remove default link styling */
    display: block;
    padding: 0.5rem 1rem; /* Consistent padding */
    transition: background-color 0.3s ease-in-out; /* Smooth background transition */
  }
  
  .nav-link:hover {
    background-color: rgba(255, 255, 255, 0.1); /* Subtle hover effect */
  }
  
  .bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    user-select: none;
  }
  
  @media (min-width: 768px) {
    .bd-placeholder-img-lg {
      font-size: 3.5rem;
    }
  }
  
  /* Media queries for responsiveness */
  @media (max-width: 768px) {
    .main-content {
      margin-left: 0; /* No menu spacing when screen is small */
    }
  
    .vertical-nav {
      position: static; /* Remove fixed positioning for small screens */
    }
  }
  
  /* Card styles */
  .styled-card-body {
    background-color: #1C1C1C; /* Dark blue background */
    color: #fff; /* White text */
  }
  
  .black-text {
    color: #333; /* Black text color */
  }
  
  /* Table styles */
  .my-custom-table {
    color: #333; /* Black text color */
  }
  